# Hållbar Utveckling - Utmaning VT7

Här finns kod för den prototyp som utvecklades av projektgrupp 3 i kursen ENM156 på Chalmers Tekniska Högskola.


## Utvecklingsmiljö
### Förutsättningar
Se till att ha följande mjukvara installerad och fungerande innan nästkommande steg utförs:
* [NodeJS](https://nodejs.org/en/)
* [Git](https://git-scm.com/downloads)

Om du använder terminalen för att köra kommandon kan du behöva lägga till sökvägarna bland dina miljövariabler (om sitter på Windows).

### Första gången
1. Klona repot genom valfritt Git-verktyg eller genom att köra kommandot 
```git clone git@github.com:williameriksson126/hallbarUtvecklingVT7.git```
i en terminal.
2. Navigera till roten av projektmappen/öppna projektet i din IDE och kör kommandot ```npm install``` via en terminal eller genom ett tillägg i din IDE (ex. VS Code har möjlighet att köra npm-scripts).
3. Verifiera att projektet fungerar som det ska genom att återgå till terminalen/tillägget och köra kommandot ```npm start```. Detta kommando kan vara aningen långsamt så ha tålamod.

Tutorials för React går att hitta [här](https://www.youtube.com/playlist?list=PLC3y8-rFHvwgg3vaYJgHGnModB54rxOk3).


## Några grejer om React
* ``public/index.html`` är den enda HTML-fil vi kommer ha i appen, detta eftersom vi bygger en s.k. SPA (Single Page Application). Man ändrar oftast inget i denna fil utöver möjligtvis innehållet i ``<head>``, detta eftersom React hanterar hela vårt UI.
* Ursprungspunkten för React är ``src/index.js``.

<!--
## Upplägg
``` mermaid

classDiagram

class User
User : Subscription[] subs
User : Location loc

class Line

class Subscription
Subscription : Line line

```
-->